Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Gregory Heytings <[email-masked]>
Date: Wed, 21 Apr 2021 20:22:52 +0000

>> Does the attached patch fix the problem in your config?  It is probably 
>> safer to check the cursor color each time color-bell is entered.
>
> It does not, sorry.
>

I just tried to use it with Doom, Spacemacs and Prelude, and AFAICS it 
works correctly, the cursor does not become irreversibly red.  Could you 
perhaps try to create a minimal recipe with your config?